LC_HASHTOADDR(3)

NAME
lc_hashtoaddr - create IPv6 multicast addr from supplied hash and flags

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/net.h>

void lc_hashtoaddr(struct in6_addr *addr, unsigned char *hash, size_t hashlen,
                   unsigned char flags);

Compile and link with -llibrecast.

DESCRIPTION
The lc_hashtoaddr() function creates and returns an IPv6 multicast address in addr from the supplied hash of length hashlen and flags.

The address returned in addr is a valid IPv6 multicast address. The first 8 bits are set to 1. The following 8 bits are set to flags, which should be the valid IPv6 multicast 4 bit flags field as defined in IETF RFC 4291, followed by the 4 bits for multicast scope. The first 14 bytes of hash are used for the remaining 14 bytes of the address.

RETURN VALUE
The lc_hashtoaddr () function returns no value.

ERRORS
None.

SEE ALSO
lc_channel_new(3), lc_channel_close(3), lc_ctx_new(3), lc_socket_new(3), lc_channel_new(3)